{
  description = "Home Manager configuration of tacocat";

  inputs = {
    # Specify the source of Home Manager and Nixpkgs.
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = inputs @ { nixpkgs, home-manager, ... }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
			# pkgs = import nixpkgs {
			# 	inherit system;
			# 	config = {
			# 		allowUnfree = true;
			# 	};
			# };
    in {
      homeConfigurations."tacocat" = home-manager.lib.homeManagerConfiguration {
        inherit pkgs;

        # Specify your home configuration modules here, for example,
        # the path to your home.nix.
        modules = [
					./home.nix
					./shell
				];

        # Optionally use extraSpecialArgs
        # to pass through arguments to home.nix
				extraSpecialArgs = {inherit inputs system;};
      };
    };
}
