{ config, pkgs, ... }:

{
	programs.zsh = {
		enable = true;
		enableAutosuggestions = true;
		enableCompletion = true;
		enableVteIntegration = true;
		cdpath = [
			"/mnt/nixos/etc/nixos/"
			"/mnt/stuff/school/"
		];
		defaultKeymap = null; # was "vicmd"
		dotDir = ".config/zsh";
		history = {
			ignoreSpace = true;
			path = "${config.xdg.dataHome}/zsh/zsh_history";
			save = 10000;
		};
		historySubstringSearch.enable = true;
		oh-my-zsh = {
			enable = true;
			plugins = [
				"z"
				"git"
				"vi-mode"
				"thefuck"
			];
			theme = "bira"; # TODO: figure out how to source custom theme
			# other cool themes:
			# duellj
			# simonoff
			# strug
			# bira
		};
		sessionVariables = {

		};
		shellAliases = {
			ls = "eza";
		};
	};

}
